# Fn<> Device
Converts a given type into one that lives on a device.

Defined in | <seqan/basic.h>
Signature | `Device<TObject>::Type;`

## Template Parameters

`TObject` | The type to be converted into a device type.

## Return Values

`Type` | The resulting device type.

## Detailed Description

This metafunction is used to convert host containers into device containers.

## See Also

- View

#### Dox Sources

    /*!
     * @mfn Device
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Converts a given type into one that lives on a device.
     *
     * @signature Device<TObject>::Type;
     *
     * @tparam TObject The type to be converted into a device type.
     *
     * @return Type The resulting device type.
     *
     * This metafunction is used to convert host containers into device containers.
     *
     * @see View
     */